Bug 213850 - devel/rubygem-daemons: Update to 1.2.4
Summary: devel/rubygem-daemons: Update to 1.2.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords: needs-patch, needs-qa
Depends on:
Blocks:
 
Reported: 2016-10-28 11:27 UTC by Tomoya Tabuchi
Modified: 2016-11-23 15:04 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (ruby)


Attachments
shar file for devel/rubygem-daemons-1.2.4 (1.97 KB, text/plain)
2016-10-28 11:27 UTC, Tomoya Tabuchi
no flags Details
rubygem-daemons.diff (730 bytes, patch)
2016-10-28 12:51 UTC, Tomoya Tabuchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tomoya Tabuchi 2016-10-28 11:27:59 UTC
Created attachment 176236 [details]
shar file for devel/rubygem-daemons-1.2.4
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2016-10-28 11:31:40 UTC
Thank you for your submission Tomoya

For updates (and now also new ports), please use unified diff (preferably svn diff) formatted patch files as attachments.
Comment 2 Tomoya Tabuchi 2016-10-28 12:51:27 UTC
Created attachment 176241 [details]
rubygem-daemons.diff

Here is a svn diff version.
Comment 3 Tomoya Tabuchi 2016-11-02 10:13:01 UTC
I've uploaded a svn diff a few days ago. I'm pinging just in case the message was missed.
Please excuse my impatience.
Comment 4 Torsten Zuehlsdorff freebsd_committer 2016-11-18 13:08:52 UTC
Hello Tomoya Tabuchi,

thank you for the patch.
The special case for rubygem-updates is, that you need to check all software depending on them. 

I'm currently testing your patch and will check, if the following ports will still work after the update:
- irc/rubygem-cogbot
- net/rubygem-stompserver
- net/rubygem-tweetstream
- www/rubygem-thin

Greetings,
Torsten
Comment 5 commit-hook freebsd_committer 2016-11-23 15:04:11 UTC
A commit references this bug:

Author: tz
Date: Wed Nov 23 15:03:12 UTC 2016
New revision: 426933
URL: https://svnweb.freebsd.org/changeset/ports/426933

Log:
  devel/rubygem-daemons: Update from 1.2.3 to 1.2.4

  Changelog:
  - add :shush option
  - add :monitor_interval option
  - add :log_output_syslog option

  PR:           213850
  Submitted by: Tomoya Tabuchi <t@tomoyat1.com>
  Approved by:  mentors (implicit)

Changes:
  head/devel/rubygem-daemons/Makefile
  head/devel/rubygem-daemons/distinfo
Comment 6 Torsten Zuehlsdorff freebsd_committer 2016-11-23 15:04:43 UTC
Committed, thanks!